aboutsummaryrefslogtreecommitdiff
path: root/straper/db/public/cron/cron.weekly/tor
diff options
context:
space:
mode:
Diffstat (limited to 'straper/db/public/cron/cron.weekly/tor')
-rwxr-xr-xstraper/db/public/cron/cron.weekly/tor16
1 files changed, 16 insertions, 0 deletions
diff --git a/straper/db/public/cron/cron.weekly/tor b/straper/db/public/cron/cron.weekly/tor
new file mode 100755
index 0000000..c30381b
--- /dev/null
+++ b/straper/db/public/cron/cron.weekly/tor
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+set -u
+
+DEFAULTSFILE=/etc/default/tor
+
+if [ -f $DEFAULTSFILE ] ; then
+ . $DEFAULTSFILE
+fi
+
+if [ "${CLEANUP_OLD_COREFILES:-}" = "y" ] ; then
+ if [ -d /var/lib/tor ] ; then
+ find /var/lib/tor -mindepth 1 -maxdepth 1 -type f -mtime +21 -user debian-tor -regex '.*/core\(\.[0-9]+\)?' -exec rm '{}' +
+ fi
+fi